#782 closed defect (fixed)

rtems.ads:902:39: identifier expected

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: highest Milestone: 2
Component: score Version: unknown
Severity: critical Keywords:
Cc: bugs@…, ralf.corsepius@… Blocked By:
Blocking:

Description

RTEMS/Ada does not compile with gcc-4.0.0/gnat:

sparc-rtems4.7-gnatmake -cargs -B../../../../../lib/ -B../../../../../erc32/lib/ -specs bsp_specs -qrtems -largs -B../../../../../lib/ -B../../../../../erc32/lib/ -specs bsp_specs -qrtems -bargs -Mgnat_main -margs -I../../../../../lib/include/adainclude -I../../../../../erc32/lib/include/adainclude
-I../../../../../../../../rtems.orig/c/src/ada-tests/support -cargs -isystem ../../../../../erc32/lib/include -Wall -g -O2 -largs -isystem ../../../../../erc32/lib/include -Wall -g -O2 init.o -margs -a ../../../../../../../../rtems.orig/c/src/ada-tests/samples/hello/hello.adb -o hello
sparc-rtems4.7-gcc -c -I../../../../../../../../rtems.orig/c/src/ada-tests/samples/hello/ -B../../../../../lib/ -B../../../../../erc32/lib/ -specs bsp_specs -qrtems -I../../../../../lib/include/adainclude -I../../../../../erc32/lib/include/adainclude -I../../../../../../../../rtems.orig/c/src/ada-tests/support -isystem ../../../../../erc32/lib/include -Wall -g -O2 -I- ../../../../../../../../rtems.orig/c/src/ada-tests/samples/hello/hello.adb
rtems.ads:902:39: identifier expected
sparc-rtems4.7-gnatmake: "../../../../../../../../rtems.orig/c/src/ada-tests/samples/hello/hello.adb" compilation error
gmake[3]: * [hello] Error 4
gmake[3]: Leaving directory `/users/rtems/src/rtems-cvs/build/sparc/sparc-rtems4.7/c/erc32/ada-tests/samples/hello'
gmake[2]:
* [all-recursive] Error 1
gmake[2]: Leaving directory `/users/rtems/src/rtems-cvs/build/sparc/sparc-rtems4.7/c/erc32/ada-tests/samples'
gmake[1]: * [all-recursive] Error 1
gmake[1]: Leaving directory `/users/rtems/src/rtems-cvs/build/sparc/sparc-rtems4.7/c/erc32/ada-tests'
make:
* [all-recursive] Error 1

Release:
unknown

Attachments (1)

rtems-ada.diff (1.8 KB) - added by Ralf Corsepius on Dec 3, 2006 at 1:31:13 PM.
rtems-ada.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on May 2, 2005 at 12:51:06 PM by Ralf Corsepius

Status: assignedwaiting

comment:2 Changed on Mar 7, 2006 at 8:31:04 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: This patch was applied long ago and appears to be correct.

Changed on Dec 3, 2006 at 1:31:13 PM by Ralf Corsepius

Attachment: rtems-ada.diff added

rtems-ada.diff

Note: See TracTickets for help on using tickets.